package com.zhongdao.jlr.pojo;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

@Entity
@Table(name = "jlr_epqr")
public class JLRepqr {

    private Integer id;//主键id
    private Integer order_id;//订单id
    private Integer task_order_id;//任务id
    private Integer mileage;//公里数
    private Integer state;//状态
    private String  trouble_code_value;
    private String  dms_code;//dms码
    private String  remaer;//备注
    private String  repair;//维修结果
    private String  trouble_reason;//故障原因
    private String  trouble_code;//故障零件
    private String  choice_type;//出行方式
    private String  other_service;
    private String  dphm;//底盘码
    private Date    arrive_time;//到达时间
    private Date    ref_time;//预计完成时间
    private Date    finish_time;//完成时间
    private Date    hand_time;//交货时间
    private Date    other_serivce_time;
    private Date    use_time;//使用时间
    private Date    create_time;//创建时间
    private Date    update_time;//更新时间

    @Id
    @Column(name = "id")
    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }
    @Column(name = "order_id")
    public Integer getOrder_id() {
        return order_id;
    }

    public void setOrder_id(Integer order_id) {
        this.order_id = order_id;
    }
    @Column(name = "task_order_id")
    public Integer getTask_order_id() {
        return task_order_id;
    }

    public void setTask_order_id(Integer task_order_id) {
        this.task_order_id = task_order_id;
    }
    @Column(name = "mileage")
    public Integer getMileage() {
        return mileage;
    }

    public void setMileage(Integer mileage) {
        this.mileage = mileage;
    }
    @Column(name = "state")
    public Integer getState() {
        return state;
    }

    public void setState(Integer state) {
        this.state = state;
    }
    @Column(name = "trouble_code_value")
    public String getTrouble_code_value() {
        return trouble_code_value;
    }

    public void setTrouble_code_value(String trouble_code_value) {
        this.trouble_code_value = trouble_code_value;
    }
    @Column(name = "dms_code")
    public String getDms_code() {
        return dms_code;
    }

    public void setDms_code(String dms_code) {
        this.dms_code = dms_code;
    }
    @Column(name = "remaer")
    public String getRemaer() {
        return remaer;
    }

    public void setRemaer(String remaer) {
        this.remaer = remaer;
    }
    @Column(name = "repair")
    public String getRepair() {
        return repair;
    }

    public void setRepair(String repair) {
        this.repair = repair;
    }
    @Column(name = "trouble_reason")
    public String getTrouble_reason() {
        return trouble_reason;
    }

    public void setTrouble_reason(String trouble_reason) {
        this.trouble_reason = trouble_reason;
    }
    @Column(name = "trouble_code")
    public String getTrouble_code() {
        return trouble_code;
    }

    public void setTrouble_code(String trouble_code) {
        this.trouble_code = trouble_code;
    }
    @Column(name = "choice_type")
    public String getChoice_type() {
        return choice_type;
    }

    public void setChoice_type(String choice_type) {
        this.choice_type = choice_type;
    }
    @Column(name = "other_service")
    public String getOther_service() {
        return other_service;
    }

    public void setOther_service(String other_service) {
        this.other_service = other_service;
    }
    @Column(name = "dphm")
    public String getDphm() {
        return dphm;
    }

    public void setDphm(String dphm) {
        this.dphm = dphm;
    }
    @Column(name = "arrive_time")
    public Date getArrive_time() {
        return arrive_time;
    }

    public void setArrive_time(Date arrive_time) {
        this.arrive_time = arrive_time;
    }
    @Column(name = "ref_time")
    public Date getRef_time() {
        return ref_time;
    }

    public void setRef_time(Date ref_time) {
        this.ref_time = ref_time;
    }
    @Column(name = "finish_time")
    public Date getFinish_time() {
        return finish_time;
    }

    public void setFinish_time(Date finish_time) {
        this.finish_time = finish_time;
    }
    @Column(name = "hand_time")
    public Date getHand_time() {
        return hand_time;
    }

    public void setHand_time(Date hand_time) {
        this.hand_time = hand_time;
    }
    @Column(name = "other_serivce_time")
    public Date getOther_serivce_time() {
        return other_serivce_time;
    }

    public void setOther_serivce_time(Date other_serivce_time) {
        this.other_serivce_time = other_serivce_time;
    }
    @Column(name = "use_time")
    public Date getUse_time() {
        return use_time;
    }

    public void setUse_time(Date use_time) {
        this.use_time = use_time;
    }
    @Column(name = "create_time")
    public Date getCreate_time() {
        return create_time;
    }

    public void setCreate_time(Date create_time) {
        this.create_time = create_time;
    }
    @Column(name = "update_time")
    public Date getUpdate_time() {
        return update_time;
    }

    public void setUpdate_time(Date update_time) {
        this.update_time = update_time;
    }

    @Override
    public String toString() {
        return "JLRepqr{" +
                "id=" + id +
                ", order_id=" + order_id +
                ", task_order_id=" + task_order_id +
                ", mileage=" + mileage +
                ", state=" + state +
                ", trouble_code_value='" + trouble_code_value + '\'' +
                ", dms_code='" + dms_code + '\'' +
                ", remaer='" + remaer + '\'' +
                ", repair='" + repair + '\'' +
                ", trouble_reason='" + trouble_reason + '\'' +
                ", trouble_code='" + trouble_code + '\'' +
                ", choice_type='" + choice_type + '\'' +
                ", other_service='" + other_service + '\'' +
                ", dphm='" + dphm + '\'' +
                ", arrive_time=" + arrive_time +
                ", ref_time=" + ref_time +
                ", finish_time=" + finish_time +
                ", hand_time=" + hand_time +
                ", other_serivce_time=" + other_serivce_time +
                ", use_time=" + use_time +
                ", create_time=" + create_time +
                ", update_time=" + update_time +
                '}';
    }
}
